<?php
include '../comunes_php/cors.php';
 
    $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
    $parametros = print_r($_POST,TRUE);
    fwrite($myfile, "\n");
    fwrite($myfile, "---------------------------". date("Y-m-d H:i:s") ."--------------------------------------------------------");
    fwrite($myfile, "\n");    
    fwrite($myfile, "----------------------------nuevo registro log-------------------------------------------------------");
    fwrite($myfile, "\n");    
    fwrite($myfile, "-----------------------------------------------------------------------------------------------------");
    
    fwrite($myfile, "\n");
    
    fwrite($myfile, $parametros);
    fclose($myfile);

    $page = isset($_POST['page']) ? intval($_POST['page']) : 1;
    $rows = isset($_POST['rows']) ? intval($_POST['rows']) : 10;
    $offset = ($page-1)*$rows;
    $result = array();
    $mensaje = "Fueron guardados sus datos";
    include '../rdb/conn.php';





    $id = $_POST['idf'];
    $usuario_id =$_REQUEST['usuario_idf'];



	
    
    $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
    $parametros = print_r($_POST,TRUE);
    fwrite($myfile, "\n");
    fwrite($myfile, "---------------------------". date("Y-m-d H:i:s") ."--------------------------------------------------------");
    fwrite($myfile, "\n");    
    fwrite($myfile, "----------------------------nuevo registro log-------------------------------------------------------");
    fwrite($myfile, "\n");    
    fwrite($myfile, "-----------------------------------------------------------------------------------------------------");
    
    fwrite($myfile, "\n");
    
    fwrite($myfile, $parametros);
    fclose($myfile);

	    
//    $fecha_actual= date("Y-m-d H:i:s");
//    $fecha_actual= $_POST['fecha'];
 
  
  
try {    
mysqli_query( $conn,"SET AUTOCOMMIT=0");
mysqli_query( $conn,"START TRANSACTION");

         
    $sql=" UPDATE `contratos_cabecera` SET Estado_id= 4 "; 

    $sql.=" WHERE id=$id";

      		    $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
      		    fwrite($myfile, "\n");  
      		    fwrite($myfile, date("Y-m-d H:i:s")."*****************MODIFICACION*****************");
		        fwrite($myfile, "\n");      		    
        	    fwrite($myfile, $sql);
        	    fwrite($myfile, "\n");
        	    fclose($myfile);	

            $visitante ="Acceso desde IP: " .$_SERVER['REMOTE_ADDR'] ;
            $fecha= date("Y-m-d H:i:s");
            $accion = $sql;

            $valor="";
            $sqlv  = "INSERT INTO visitas ( fecha, visitante, accion) VALUES ";
            $sqlv .= " ('$fecha','$visitante','$accion')";
            @mysqli_query( $conn,$sqlv);

            @mysqli_query( $conn,$sql);
            $actualizados=mysqli_affected_rows($conn);


            $result["sql"]=$sql;
            
            //si vienen armo un arreglo con el contenido y doy de alta
            
     

            $sql  ="INSERT INTO `estados_de_contrato`(`contrato_id`, `fecha`, `usuario_id`, `tipo_estado_id`, `observaciones`, `borrado`) VALUES ";
            $sql  .="   ($id,now(),$usuario_id,4,'Fabricado',0)";
            
            $visitante ="Acceso desde IP: " .$_SERVER['REMOTE_ADDR'] ;
            $fecha= date("Y-m-d H:i:s");
            $accion = $sql;
            
        $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
      		    fwrite($myfile, "\n");  
      		    fwrite($myfile, date("Y-m-d H:i:s")."*****************MODIFICACION*****************");
		        fwrite($myfile, "\n");      		    
        	    fwrite($myfile, $sql);
        	    fwrite($myfile, "\n");
        	    fclose($myfile);	    
            $valor="";
            $sqlv  = "INSERT INTO visitas ( fecha, visitante, accion) VALUES ";
            $sqlv .= " ('$fecha','$visitante','$accion')";
            @mysqli_query( $conn,$sqlv);
            
            @mysqli_query( $conn,$sql);
                     
   
    

                    mysqli_query( $conn,"COMMIT");
                    $result["actualizados"]=$actualizados;
                    if ($actualizados>0) {
                    $result["estado"]=true;
                    $result["msg"] = "Contrato actualizado a Fabricado. ";
                    } else
                    {
                    $result["estado"]=true;
                    $result["msg"] = "No se realizo Ninguna actualizacion";
                        
                    } 

    echo json_encode($result);
	
} catch(exception $error) {
    
mysqli_query( $conn,"ROLLBACK");
$result["msg"] = "Errores grabando en la base de datos: ".$error->getMessage();
$result["estado"]=false;

echo json_encode($result);
	
}
    
  
?>